%global version_major 13
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}
%global ruby_path %(echo %{ruby_vendorlibdir} | sed -e 's|/usr/||g')

Name:           gz-transport
Version:        13.1.0
Release:        3%{?dist}
Summary:        Fast and efficient asynchronous message passing

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 
Patch0:         %{name}-13.1.0-installpaths.patch

BuildRequires:  cmake
BuildRequires:  cppzmq-devel
BuildRequires:  gcc-c++
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-msgs-devel >= 10
BuildRequires:  gz-tools-devel >= 2
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  libuuid-devel
BuildRequires:  make
BuildRequires:  protobuf-devel
BuildRequires:  python3-devel
BuildRequires:  ruby-devel
BuildRequires:  sqlite-devel
BuildRequires:  tinyxml2-devel
# Documentation
BuildRequires:  doxygen


%description
Gazebo Transport, a component of Gazebo, provides fast and efficient
asynchronous message passing, services, and data logging.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3
Requires: protobuf-devel

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DRUBY_LIB_INSTALL_DIR=%{ruby_path} \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON
%cmake_build


%install
%cmake_install

%check
%ctest --exclude-regex "INTEGRATION_playback|UNIT_gz_TEST|UNIT_gz_src_TEST"

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}
%{_libexecdir}/gz
%{ruby_vendorlibdir}/gz

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz


%changelog
* Fri Apr 05 2024 Rich Mattes <richmattes@gmail.com> - 13.1.0-3
- Fix ruby tool path

* Fri Apr 05 2024 Rich Mattes <richmattes@gmail.com> - 13.1.0-2
- Update devel package requires

* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 13.1.0-1
- Initial package
